Subject: [Jwt-reg-review] review JWT claims registration request (was Re: Fwd: Review requested: draft-ietf-stir-passport)

From: Brian Campbell <[email-masked]>
Date: Wed, 19 Oct 2016 11:14:06 -0600

Thanks for bringing this to my attention, Matt. The message to
jwt-reg-review had somehow gotten lumped together with the jose-reg-review
one in such a way that'd I'd completely overlooked it. I don't know if
maybe the same happened to the other 'experts' so I'm including them and
the jwt-reg-review address again in this message.

Generally I think the draft-ietf-stir-passport claims registrations look
okay. A few comments follow. It'd be a nice courtesy to maybe space and
group section 11.2.1 like was done in
https://tools.ietf.org/html/rfc7519#section-10.1.2 but that's just a nit. I
can't help but see the similarity of "orig"/"dest" to "sub"/"aud" and
wonder if more couldn't have been done to reuse the existing claims. But
having the specific syntax and semantics for PASSporT is understandably
nice too. If it were up to me, I'd use base64url encoding rather than hex
for mky/dig as it is more space efficient and generally in line with how
JWT/JOSE does things but that's just me. You can take or leave those
comments though at your choosing.

Hopefully the other reviewers will see this message and we can move things
forward.

On Wed, Oct 19, 2016 at 6:33 AM, Matt Miller (mamille2) <[email-masked]>
wrote:

> Hello Brian,
>
> Do you think you can review this JWT registration?
>
> Thanks,
>
> - m&m
> Matt Miller (mobile)
>
> On Oct 18, 2016 1:25 PM, Robert Sparks <[email-masked]> wrote:
>
> Hi Matt -
>
> Who should pick this one up? (Jim is taking care of the part that went to
> jose-reg-review).
>
> We're up against some strong external pressure to get this document suite
> published, so any nudging to bring this particular review to conclusion
> would be very helpful.
>
> RjS
>
>
> -------- Forwarded Message --------
> Subject: Review requested: draft-ietf-stir-passport
> Date: Tue, 18 Oct 2016 13:56:37 -0500
> From: Robert Sparks <[email-masked]> <[email-masked]>
> To: [email-masked]
> CC: Jon Peterson <[email-masked]> <[email-masked]>,
> [email-masked] <[email-masked]>
> <[email-masked]>, Russ Housley <[email-masked]>
> <[email-masked]>, Alissa Cooper <[email-masked]>
> <[email-masked]>
>
> Please review the registration request in section 11.2 of
>
> <https://datatracker.ietf.org/doc/draft-ietf-stir-passport/>
> <https://datatracker.ietf.org/doc/draft-ietf-stir-passport/>
>
> The registration request itself is copied below for your convenience.
>
> Robert Sparks - STIR WG co-chair
>
> -----------
>
> 11.2.  JSON Web Token Claims Registration
>
> 11.2.1.  Registry Contents Additions Requested
>
>    o  Claim Name: "orig"
>
>    o  Claim Description: Originating Identity String
>
>    o  Change Controller: IESG
>
>    o  Specification Document(s): Section 5.2.1 of [RFCThis]
>
>    o  Claim Name: "dest"
>
>    o  Claim Description: Destination Identity String
>
>    o  Change Controller: IESG
>
>    o  Specification Document(s): Section 5.2.1 of [RFCThis]
>
>    o  Claim Name: "mky"
>
>    o  Claim Description: Media Key Fingerprint String
>
>    o  Change Controller: IESG
>
>    o  Specification Document(s): Section 5.2.2 of [RFCThis]
>
>
>
>